From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/pdfpc/
Date: Sun, 8 Nov 2015 15:51:13 +0000 (UTC) [thread overview]
Message-ID: <1446997859.2341c25e5aea88801e91264816715a99433d12ce.mrueg@gentoo> (raw)
commit: 2341c25e5aea88801e91264816715a99433d12ce
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 8 15:50:59 2015 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Nov 8 15:50:59 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2341c25e
app-misc/pdfpc: Version bump
Package-Manager: portage-2.2.24
app-misc/pdfpc/Manifest | 1 +
app-misc/pdfpc/pdfpc-4.0.1.ebuild | 41 +++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/app-misc/pdfpc/Manifest b/app-misc/pdfpc/Manifest
index 9af3ea7..6b1955c 100644
--- a/app-misc/pdfpc/Manifest
+++ b/app-misc/pdfpc/Manifest
@@ -1,2 +1,3 @@
DIST pdfpc-3.1.1.tgz 199004 SHA256 ec5ffb9c2b55d1bac76172a6a13ed527ceed8cf0d659aca5e302f6a7185f00f2 SHA512 554203094b18fe11fd085414961de6644df3c258ad52d46ad171cfd6c2199028bcbaa9560bdaba63d83f858b467407cc276972b34f341cc25260db1d1358e88d WHIRLPOOL bddcba6a4285ea2b58dd01f76b7b050db630eaa97de5bba32a66f7f85563e6a99763a52e82286297f605dfa59d9ff918007baab297e587968ac1c83e3d69e8a8
+DIST pdfpc-4.0.1.tar.gz 74405 SHA256 7c40cb87f9f1ce5e1683e96cc815572ea4c0a30e9db691501401ad271d27a3fb SHA512 701cf57b13b3abb2bacf086a29464a24d9eb67b095a89e770fade12f512d78773899bc9c71bc888e85b0a0acf2a122dd819b0259a1ab850a4f7af5fbc7369cdb WHIRLPOOL 0e1054b2aedce013c7f4397b05c66f658e6de88fe4fe6e857e8bd6bf33b5b68f3acda8fd327cffb9b2db7d1726543cdb5afdd342be1b8286a55799f5c5be9688
DIST pdfpc-v4.0.0.tar.gz 71039 SHA256 c091c554f4e3ed8735df40055253459c47b09590775a6f9b5b6abf1b42647a62 SHA512 2c822dee9c47be4858a9a20c729864120335b506d1271d032635653e394db3934bf0a1c261d6bcfeb416918e5c20553de688106fa2ad40834f91f75bf11a231d WHIRLPOOL f52f05bb9073505fc798c6182fb73e1b94fc007304105b1d038a5d6fcb791616e6afc2a42e02ef76bd0fc1a1cdd446cd8866ea4d08bba7a655428ffbe7266a3a
diff --git a/app-misc/pdfpc/pdfpc-4.0.1.ebuild b/app-misc/pdfpc/pdfpc-4.0.1.ebuild
new file mode 100644
index 0000000..3df909e
--- /dev/null
+++ b/app-misc/pdfpc/pdfpc-4.0.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+VALA_MIN_API_VERSION="0.26"
+VALA_MAX_API_VERSION="0.28" # fix sed line if you increase this
+
+inherit vala cmake-utils
+
+DESCRIPTION="Presenter console with multi-monitor support for PDF files"
+HOMEPAGE="http://pdfpc.github.io"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="app-text/poppler:=[cairo]
+ dev-libs/glib:2
+ dev-libs/libgee:0.8
+ gnome-base/librsvg
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ $(vala_depend)"
+
+src_prepare() {
+ sed -i -e "s/valac-0.20/valac-0.28 valac-0.26/" cmake/vala/FindVala.cmake || die
+ vala_src_prepare
+}
+
+src_configure(){
+ local mycmakeargs=(
+ -DSYSCONFDIR="${EPREFIX}/etc"
+ )
+ cmake-utils_src_configure
+}
next reply other threads:[~2015-11-08 15:51 UTC|newest]
Thread overview: 55+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-11-08 15:51 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-12-20 12:02 [gentoo-commits] repo/gentoo:master commit in: app-misc/pdfpc/ Manuel Rüger
2016-02-01 20:45 Pacho Ramos
2016-02-14 21:56 Manuel Rüger
2016-02-16 22:46 Manuel Rüger
2016-10-02 23:23 Manuel Rüger
2016-10-08 9:51 Pacho Ramos
2016-11-22 20:44 Manuel Rüger
2016-11-22 20:44 Manuel Rüger
2017-01-04 22:51 Manuel Rüger
2017-02-19 19:42 Manuel Rüger
2017-02-19 19:45 Manuel Rüger
2017-06-28 15:08 Manuel Rüger
2017-07-23 12:04 Manuel Rüger
2017-07-23 12:07 Michael Palimaka
2017-10-03 21:54 Patrice Clement
2018-03-13 12:51 Michael Palimaka
2018-05-03 17:21 Manuel Rüger
2018-05-03 17:21 Manuel Rüger
2018-06-07 10:13 Agostino Sarubbo
2018-06-07 10:48 Andreas Sturmlechner
2018-10-28 17:02 Manuel Rüger
2018-12-30 16:18 Manuel Rüger
2019-02-15 0:18 Thomas Deutschmann
2019-02-26 19:10 Mikle Kolyada
2019-02-26 19:12 Mikle Kolyada
2019-03-02 10:31 Tiziano Müller
2019-03-02 10:31 Tiziano Müller
2019-03-20 20:27 Aaron Bauman
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2021-01-18 9:28 Joonas Niilola
2021-02-18 17:12 Sam James
2021-02-18 23:25 Sam James
2021-02-19 2:14 Andreas Sturmlechner
2021-09-03 7:55 Joonas Niilola
2021-09-03 7:55 Joonas Niilola
2021-09-03 7:55 Joonas Niilola
2021-12-15 13:40 Jakov Smolić
2021-12-16 7:44 Agostino Sarubbo
2021-12-16 17:02 Jakov Smolić
2021-12-20 9:17 Ulrich Müller
2021-12-20 9:17 Ulrich Müller
2022-06-24 7:49 Ulrich Müller
2022-07-28 23:06 Sam James
2022-07-28 23:06 Sam James
2022-07-29 7:22 Ulrich Müller
2023-01-01 14:48 David Seifert
2023-01-30 15:25 Ben Kohler
2023-02-09 6:50 Ulrich Müller
2023-02-11 4:30 Ulrich Müller
2023-04-25 20:57 Sam James
2023-04-25 20:57 Sam James
2023-05-22 21:30 Ulrich Müller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1446997859.2341c25e5aea88801e91264816715a99433d12ce.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox